## org.hibernate.ejb.metamodel
Class MappedSuperclassTypeImpl<X>

    java.lang.Object
      org.hibernate.ejb.metamodel.AbstractType<X>
          org.hibernate.ejb.metamodel.AbstractManagedType<X>
              org.hibernate.ejb.metamodel.AbstractIdentifiableType<X>
                  org.hibernate.ejb.metamodel.MappedSuperclassTypeImpl<X>

All Implemented Interfaces:
  Serializable, javax.persistence.metamodel.IdentifiableType<X>, javax.persistence.metamodel.ManagedType<X>, javax.persistence.metamodel.MappedSuperclassType<X>, javax.persistence.metamodel.Type<X>

    public class MappedSuperclassTypeImpl<X>

extends AbstractIdentifiableType<X>
implements javax.persistence.metamodel.MappedSuperclassType<X>

Author:
  Emmanuel Bernard
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.hibernate.ejb.metamodel.AbstractIdentifiableType
`AbstractIdentifiableType.Builder<X>`

Nested classes/interfaces inherited from interface javax.persistence.metamodel.Type
`javax.persistence.metamodel.Type.PersistenceType`

Constructor Summary
`MappedSuperclassTypeImpl(Class<X> javaType, AbstractIdentifiableType<? super X> superType, boolean hasIdentifierProperty, boolean versioned)`

Method Summary
`javax.persistence.metamodel.Type.PersistenceType` `getPersistenceType()`

Methods inherited from class org.hibernate.ejb.metamodel.AbstractIdentifiableType
`checkDeclaredId, checkDeclaredVersion, checkSimpleId, getBuilder, getDeclaredId, getDeclaredVersion, getDeclaredVersion, getId, getIdClassAttributes, getIdType, getSupertype, getVersion, hasDeclaredVersionAttribute, hasSingleIdAttribute, hasVersionAttribute, requireSupertype`

Methods inherited from class org.hibernate.ejb.metamodel.AbstractManagedType

`getAttribute, getAttributes, getCollection, getCollection, getDeclaredAttribute, getDeclaredAttributes, getDeclaredCollection, getDeclaredCollection, getDeclaredList, getDeclaredList, getDeclaredMap, getDeclaredMap, getDeclaredPluralAttributes, getDeclaredSet, getDeclaredSet, getDeclaredSingularAttribute, getDeclaredSingularAttribute, getDeclaredSingularAttributes, getList, getList, getMap, getMap, getPluralAttributes, getSet, getSet, getSingularAttribute, getSingularAttribute, getSingularAttributes, isPrimitiveVariant, lock`

Methods inherited from class org.hibernate.ejb.metamodel.AbstractType
`getJavaType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.persistence.metamodel.IdentifiableType
`getDeclaredId, getDeclaredVersion, getId, getIdClassAttributes, getIdType, getSupertype, getVersion, hasSingleIdAttribute, hasVersionAttribute`

Methods inherited from interface javax.persistence.metamodel.ManagedType

`getAttribute, getAttributes, getCollection, getCollection, getDeclaredAttribute, getDeclaredAttributes, getDeclaredCollection, getDeclaredCollection, getDeclaredList, getDeclaredList, getDeclaredMap, getDeclaredMap, getDeclaredPluralAttributes, getDeclaredSet, getDeclaredSet, getDeclaredSingularAttribute, getDeclaredSingularAttribute, getDeclaredSingularAttributes, getList, getList, getMap, getMap, getPluralAttributes, getSet, getSet, getSingularAttribute, getSingularAttribute, getSingularAttributes`

Methods inherited from interface javax.persistence.metamodel.Type
`getJavaType`

Constructor Detail

### MappedSuperclassTypeImpl

    public MappedSuperclassTypeImpl(Class<X> javaType,
                                    AbstractIdentifiableType<? super X> superType,
                                    boolean hasIdentifierProperty,
                                    boolean versioned)

Method Detail

### getPersistenceType

    public javax.persistence.metamodel.Type.PersistenceType getPersistenceType()

  Specified by:
    `getPersistenceType` in interface `javax.persistence.metamodel.Type<X>`

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.